Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002375opensim[REGION] Specific OpenSim Modulepublic2008-10-09 19:062011-12-09 16:37
Reporterwhump 
Assigned Tojustincc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Version 
Target VersionFixed in Version 
Summary0002375: OGP- Agent remains connected to region after OGP teleport from region
Description1. OGP teleport into a supported region.
2. Teleport to another instance.
3. In console, agent is still simulated, and does not timeout.

If you remove the user from console, using kickuser <first> <last>, the user remains connected.

If you do not kickuser, then when you shut down the instance, the user's session is ended.
Additional Information02:04:47 - [OGP]: prefix agent, uuid 8d765bca-d8a2-4536-a921-cd209a2d5dd5, suffix rez_avatar
02:04:47 - [OGP]: Request to Derez avatar with UUID 8d765bca-d8a2-4536-a921-cd209a2d5dd5
02:04:47 - [OGP]: Invoking rez_avatar on host:https://sim2.vaak.lindenlab.com:12043/cap/543f41e5-577e-26a0-6106-a2c875754d6e [^] for avatar:
02:04:47 - [OGP] RAMap string
  {
    'age_verified':f
    ,
    'last_name':''
    ,
    'god_overide':f
    ,
    'parameter':
    [
      {
        'version':i1
      },
      {
        'visible_to_parent':t
        ,
        'region_id':u3654c2db-0adc-45d3-91bf-b17ee63d9091
        ,
        'estate_id':i103
        ,
        'parent_estate_id':i1
      }
    ]
    ,
    'circuit_code':i406251482
    ,
    'god_level':i0
    ,
    'agent_access':f
    ,
    'region_params':
    {
      'region_id':u28993779-de2a-fb74-a5f9-438873fec0ba
    }
    ,
    'first_name':''
    ,
    'session_id':u84b701fa-9666-11dd-9d2a-0030488f1d92
    ,
    'secure_session_id':u84b703a6-9666-11dd-a42d-0030488f1d92
    ,
    'transacted':f
    ,
    'identified':f
    ,
    'inventory_host':'inv4.mysql.agni.lindenlab.com'
    ,
    'limited_to_estate':i0
    ,
    'agent_id':u8d765bca-d8a2-4536-a921-cd209a2d5dd5
  }
02:04:47 - [OGP]: LLSD of map as string was
  {
    'age_verified':f
    ,
    'last_name':''
    ,
    'god_overide':f
    ,
    'parameter':
    [
      {
        'version':i1
      },
      {
        'visible_to_parent':t
        ,
        'region_id':u3654c2db-0adc-45d3-91bf-b17ee63d9091
        ,
        'estate_id':i103
        ,
        'parent_estate_id':i1
      }
    ]
    ,
    'circuit_code':i406251482
    ,
    'god_level':i0
    ,
    'agent_access':f
    ,
    'region_params':
    {
      'region_id':u28993779-de2a-fb74-a5f9-438873fec0ba
    }
    ,
    'first_name':''
    ,
    'session_id':u84b701fa-9666-11dd-9d2a-0030488f1d92
    ,
    'secure_session_id':u84b703a6-9666-11dd-a42d-0030488f1d92
    ,
    'transacted':f
    ,
    'identified':f
    ,
    'inventory_host':'inv4.mysql.agni.lindenlab.com'
    ,
    'limited_to_estate':i0
    ,
    'agent_id':u8d765bca-d8a2-4536-a921-cd209a2d5dd5
  }
02:04:47 - [OGP]: Derez Avatar Posted Rez Avatar request to remote sim https://sim2.vaak.lindenlab.com:12043/cap/543f41e5-577e-26a0-6106-a2c875754d6e [^]
02:04:47 - [OGP]: waiting for a reply after rez avatar send
02:04:48 - [OGP]: rez_avatar reply was <llsd><map><key>connect</key><boolean>1</boolean><key>look_at</key><array><real>0</real><real>0</real><real>0</real></array><key>position</key><array><real>128</real><real>128</real><real>28</real></array></map></llsd>
02:04:48 - X:0, Y:0
02:04:48 - [INNER SCENE]: Requested avatar 8d765bca-d8a2-4536-a921-cd209a2d5dd5 could not be found in scene The Bridge to Nowhere since it is only registered as a child agent!
02:04:48 - RESPONSEDEREZ:
  {
    'region_x':i0
    ,
    'position':
    [
      r128,
      r128,
      r28
    ]
    ,
    'region_y':i0
    ,
    'region_id':u00000000-0000-0000-0000-000000000000
    ,
    'seed_capability':''
    ,
    'sim_host':''
    ,
    'connect':t
    ,
    'sim_ip':'127.0.0.1'
    ,
    'sim_access':''
    ,
    'region_seed_capability':''
    ,
    'look_at':
    [
      i128,
      i128,
      i40
    ]
    ,
    'sim_port':i0
  }

Region (root) # :
show users

Agents connected: 1

Firstname Lastname Agent ID Root/Child Region
nozmo tester_EXTERNAL 8d765bca-d8a2-4536-a921-cd209a2d5dd5 Root Interop Island

Region (root) # :
shutdown
02:05:46 - [SHUTDOWN]: Closing all threads
02:05:46 - [SHUTDOWN]: Killing listener thread
02:05:46 - [SHUTDOWN]: Killing clients
02:05:46 - [SHUTDOWN]: Closing console and terminating
02:05:46 - [SCENE]: Closing down the single simulator: The Bridge to Nowhere
02:05:47 - [CLIENT]: Close has been called with shutdownCircuit = True on scene The Bridge to Nowhere
02:05:47 - [CLIENT]: Removed client with code 406251482, new client count 0
02:05:47 - [CLIENT]: Close has been called with shutdownCircuit = False on scene The Bridge to Nowhere
02:05:47 - [SCENE]: Removing child agent 8d765bca-d8a2-4536-a921-cd209a2d5dd5 from region The Bridge to Nowhere
02:05:47 - [EVENTQUEUE]: Client 8d765bca-d8a2-4536-a921-cd209a2d5dd5 deregistered in region The Bridge to Nowhere.
02:05:47 - [GROUP]: Removing all reference to groups for nozmo tester_EXTERNAL
02:05:47 - [FRIEND]: Removing 8d765bca-d8a2-4536-a921-cd209a2d5dd5. Agent logged out.
02:05:49 - [SCENE]: Closing down the single simulator: Interop Island
02:05:50 - [CLIENT]: Close has been called with shutdownCircuit = True on scene Interop Island
02:05:50 - [CLIENT]: Removed client with code 406251482, new client count 0
02:05:50 - [CLIENT]: Close has been called with shutdownCircuit = False on scene Interop Island
02:05:50 - [SCENE]: Removing root agent 8d765bca-d8a2-4536-a921-cd209a2d5dd5 from region Interop Island
02:05:50 - [LOGOUT]: nozmo tester_EXTERNAL from 2251799814209536(128.51,128.1102,33.05289)
02:05:50 - [LOGOUT]: didn't save logout position: 8d765bca-d8a2-4536-a921-cd209a2d5dd5
02:05:50 - [CAPS]: Removing CAPS handler for root agent 8d765bca-d8a2-4536-a921-cd209a2d5dd5 in Interop Island
02:05:50 - [USER CACHE]: Removing user 8d765bca-d8a2-4536-a921-cd209a2d5dd5
02:05:50 - [EVENTQUEUE]: Client 8d765bca-d8a2-4536-a921-cd209a2d5dd5 deregistered in region Interop Island.
02:05:50 - [SUN]: Removing 8d765bca-d8a2-4536-a921-cd209a2d5dd5. Agent logged out.
02:05:50 - [WIND]: Removing 8d765bca-d8a2-4536-a921-cd209a2d5dd5. Agent logged out.
02:05:50 - [INTERREGION]: Incoming Agent Close Request for agent: 8d765bca-d8a2-4536-a921-cd209a2d5dd5
02:05:50 - [WorldMap]: Remote request thread exiting
02:05:50 - [CLIENT]: Close has been called with shutdownCircuit = True on scene Nomanisan Island
02:05:50 - [CLIENT]: Removed client with code 406251482, new client count 0
02:05:50 - [CLIENT]: Close has been called with shutdownCircuit = False on scene Nomanisan Island
02:05:50 - [SCENE]: Removing child agent 8d765bca-d8a2-4536-a921-cd209a2d5dd5 from region Nomanisan Island
02:05:50 - [EVENTQUEUE]: Client 8d765bca-d8a2-4536-a921-cd209a2d5dd5 deregistered in region Nomanisan Island.
02:05:50 - [USER DB]: Syncing user database: 18 users stored
02:05:52 - [INTERGRID]: Completed sending agent Close agent Request to neighbor
02:05:52 - [INTERGRID]: Failed sending agent Close agent Request to neighbor
02:05:52 - [INTERREGION]: Incoming Agent Close Request for agent: 8d765bca-d8a2-4536-a921-cd209a2d5dd5
02:05:52 - [SCENE]: Closing down the single simulator: Nomanisan Island
02:05:52 - [CLIENT]: Close has been called with shutdownCircuit = True on scene Sinshan
02:05:52 - [CLIENT]: Removed client with code 406251482, new client count 0
02:05:52 - [CLIENT]: Close has been called with shutdownCircuit = False on scene Sinshan
02:05:52 - [SCENE]: Removing child agent 8d765bca-d8a2-4536-a921-cd209a2d5dd5 from region Sinshan
02:05:52 - [EVENTQUEUE]: Client 8d765bca-d8a2-4536-a921-cd209a2d5dd5 deregistered in region Sinshan.
02:05:53 - [SCENE]: Closing down the single simulator: Sinshan
02:05:53 - [GROUP]: Shutting down group module.
02:05:53 - [SHUTDOWN]: Shutdown processing on main thread complete. Exiting...
02:05:53 - [ScriptEngine.DotNetEngine]: ThreadAbortException while executing function.
02:05:53 - [ScriptEngine.DotNetEngine]: ThreadAbortException while executing function.

Tagsmultiple regions, ogp, teleport
Git Revision or version number
Run Mode Standalone (Multiple Regions)
Physics EngineODE
Script Engine
EnvironmentMono / Linux32
Mono VersionNone
Viewer
Attached Files

- Relationships
related to 0001054closedAdam On teleport, child agents are not hidden, but remain visible in region of origin 

-  Notes
(0005848)
Teravus (administrator)
2008-10-10 05:30

I studied this, this morning, and what seems to be happening is the EventQueueGet cap is returning 404 because the user is no longer at the server, and the client is logging the user out because it got a 404 on an EventQueue Request.
(0005849)
Teravus (administrator)
2008-10-10 05:32
edited on: 2008-10-10 05:41

As far as I know, the simulator is /supposed/ to return a 404 on EventQueue when the avatar is disconnected.

The fact that regions are still visible after you teleport away and are disconnected might be a mitigating factor. The viewer might still think that you're supposed to be hitting the eventqueue and the failure trigger the automatic logoff.

(0005850)
Teravus (administrator)
2008-10-10 05:46

One more mitigating factor parhaps, is connecting neighbor regions.
(0005882)
whump (reporter)
2008-10-10 19:52

> One more mitigating factor parhaps, is connecting neighbor regions.

Indeed.

I brought the instance back up with one region and cannot replicate the problem.
(0005884)
whump (reporter)
2008-10-10 20:33

Per suggestion, I tried bringing up multiple regions with EventQueue = false in OpenSim.ini.

However, still can repro the issue when I have multiple regions on one instance.
(0013425)
Fly-Man- (developer)
2009-09-18 06:56

This issue was automatically checked by Mantis Issue Check:

Feedback was added after original submit date
(0020479)
justincc (administrator)
2011-12-09 16:37

Closed as OGP is dead.

- Issue History
Date Modified Username Field Change
2008-10-09 19:06 whump New Issue
2008-10-09 19:06 whump SVN Revision => 6768
2008-10-09 19:06 whump Run Mode => Standalone (Multiple Regions)
2008-10-09 19:06 whump Physics Engine => ODE
2008-10-09 19:06 whump Environment => Mono / Linux32
2008-10-10 05:30 Teravus Note Added: 0005848
2008-10-10 05:30 Teravus Summary OGP: Agent remains connected to region after OGP teleport from region => OGP- Agent remains connected to region after OGP teleport from region
2008-10-10 05:32 Teravus Note Added: 0005849
2008-10-10 05:41 Teravus Note Edited: 0005849
2008-10-10 05:46 Teravus Note Added: 0005850
2008-10-10 19:52 whump Note Added: 0005882
2008-10-10 19:53 whump Tag Attached: multiple regions
2008-10-10 19:53 whump Tag Attached: ogp
2008-10-10 19:53 whump Tag Attached: teleport
2008-10-10 20:33 whump Note Added: 0005884
2008-10-26 20:16 whump Relationship added related to 0001054
2009-09-18 06:56 Fly-Man- Note Added: 0013425
2009-09-18 06:56 Fly-Man- Status new => feedback
2011-12-09 16:37 justincc Mono Version => None
2011-12-09 16:37 justincc Note Added: 0020479
2011-12-09 16:37 justincc Status feedback => closed
2011-12-09 16:37 justincc Assigned To => justincc
2011-12-09 16:37 justincc Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker